TAX-FILTER-ALI(1)

NAME
tax-filter-ali.pl - Apply a taxonomic filter to ALI files

VERSION
version 0.212670

USAGE
    tax-filter-ali.pl --filter=<file> --taxdir=<dir> <infiles>
        [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input ALI files [repeatable argument].

--filter=<file>
    Path to an IDL file specifying the taxonomic filter to be applied.

    In a tax_filter, wanted taxa are to be prefixed by a '+' symbol, whereas unwanted taxa are to be prefixed by a '-' symbol. Wanted and unwanted taxa are linked by logical ORs.

    An example IDL file follows:

        -Viridiplantae
        -Opisthokonta
        +Ascomycota
        +Oomycota

--taxdir=<dir>
    Path to local mirror of the NCBI Taxonomy database.

OPTIONAL ARGUMENTS

--out[-suffix]=<suffix>
    Suffix to append to infile basenames for deriving outfile names [default: none]. When not specified, outfile names are taken from infiles but original infiles are preserved by being appended a .bak suffix.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.